/*  */
{
  "factory": {
    "id": "ftps-connector-out",
    "type": "entaxy.runtime.connector",
	"displayName": "FTPS :: OUT",
    "parent": "connection-based-connector-out",
	"description": "This component provides access to remote file systems over the FTP and SFTP protocols. For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/ftps-component.html\">Camel docs</a>",
	"isAbstract": false,
    "requires": ["ftps-connection"]
  },
  "entaxy.runtime.connector": {
  	"type": "ftps",
  	"protocol": "ftps"
  },
  "fields": {
		"entaxyOriginConnection": {
			"type": "entaxy.runtime.connection",
			"filter": "(&(type=entaxy.runtime.connection)(label=*ftps*))"
		},
		"connectorSubdirectory": {
			"displayName": "Subdirectory",
			"description": "Connector specific part of endpoint directory path. For example you can set value 'documents' in connection's field `Directory Name` and set value '2023september' in connectors's field `Subdirectory`, as a result endpoint will be configured to `/documents2023september` directory. Or you can add slash symbol (/) to one of these fields and make subdirectory for connector - `/documents/2023september`. For more details see <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/ftps-component.html\">Camel docs</a>",
			"type": "String",
			"group": "general"
		}
  },
	"outputs": {
		"init": {
			"isDefault": true,
			"fields": {
				"entaxyOriginConnection": {},
				"connectorSubdirectory": {},
				"@IMPORT": [{
					"sourceFactoryId": "ftps-connection",
					"location": "outputs.producer.fields",
					"prefix": "",
					"filter": {
						"contained": [{
								"attribute": "##origin",
								"values": ["camel"]
							},
							{
								"attribute": "$key",
								"inverse": true,
								"values": [
									"camel_username",
									"camel_password"
								]
							}
						]
					}
				},
				{
					"sourceFactoryId": "ftp-client-config",
					"location": "fields",
					"prefix": ""
				}
				]
			},
			"config": {
				"configurable": true,
				"fieldsConfigurableByDefault": true,
				"configurableFields": {
					"includeNames":["connectorSubdirectory"],
					"includePatterns":[]
				}
			}
		}
	}
}
